hipchatclient

Puppet module installing the hipchat client on linux

Daniel Schaaff

dschaaff

7,497 downloads

6,635 latest version

4.4 quality score

Version information

  • 1.0.1 (latest)
  • 0.1.0
released May 2nd 2016
This version is compatible with:
  • Puppet Enterprise >=3.0.0
  • Puppet >=3.0.0
  • Ubuntu

Start using this module

Documentation

dschaaff/hipchatclient — version 1.0.1 May 2nd 2016

hipchatclient

Table of Contents

  1. Overview
  2. Module Description - What the module does and why it is useful
  3. Setup - The basics of getting started with hipchatclient
  4. Usage - Configuration options and additional functionality
  5. Reference - An under-the-hood peek at what the module is doing and how
  6. Limitations - OS compatibility, etc.
  7. Development - Guide for contributing to the module

Overview

This module installs the hipchat4 client on Ubuntu Linux.

Module Description

This module installs adds the repo for hipchat4 and installs the client on Ubuntu.

Setup

Setup Requirements

Simply include the class to manage the repo and intall hipchat4.

include hipchatclient

Beginning with hipchatclient

Manage repo defaults to true. If you set it to false you need to manage addingthe source list outside of this module.

class {'hipchatclient':
  manage_repo => false,
}

Reference

Classes

Public Classes

  • hipchatclient

Private Classes

  • hipchatclient::repo

Class: hipchatclient

Install the hipchat client.

Parameters

  • manage_repo: determines whether the module manages the apt source list hipchat
    • Default: true

Limitations

This only supports Ubuntu and has only been tested on Ubuntu 14.04.

Development

I welcome all contributions and appreciate pull requests.